Skip to main content

Uc Workspace Bindings

View as Markdown

Get Catalog Workspace Bindings GA

GET /api/2.1/unity-catalog/workspace-bindings/catalogs/{catalog_name}

Gets workspace bindings of the catalog. The caller must be a metastore admin or an owner of the catalog.

API scopes: unity-catalog

Parameters

catalog_namestringpath

The name of the catalog.

Response

workspacesarray of int64

A list of workspace IDs

Update Catalog Workspace Bindings GA

PATCH /api/2.1/unity-catalog/workspace-bindings/catalogs/{catalog_name}

Updates workspace bindings of the catalog. The caller must be a metastore admin or an owner of the catalog.

API scopes: unity-catalog

Parameters

catalog_namestringpath

The name of the catalog.

Request body

assign_workspacesarray of int64

A list of workspace IDs.

unassign_workspacesarray of int64

A list of workspace IDs.

Response

workspacesarray of int64

A list of workspace IDs